## helma.image
Class ImageFilterOp

    java.lang.Object
      helma.image.ImageFilterOp

All Implemented Interfaces:
  java.awt.image.BufferedImageOp

    public class ImageFilterOp

extends java.lang.Object
implements java.awt.image.BufferedImageOp

Constructor Summary
`ImageFilterOp(java.awt.image.ImageFilter filter)` Construct a ImageFilterOp

Method Summary
`java.awt.image.BufferedImage` `createCompatibleDestImage(java.awt.image.BufferedImage src, java.awt.image.ColorModel destCM)`
`java.awt.image.BufferedImage` `filter(java.awt.image.BufferedImage src, java.awt.image.BufferedImage dst)` Do the filter operation
`java.awt.geom.Rectangle2D` `getBounds2D(java.awt.image.BufferedImage src)`
`java.awt.geom.Point2D` `getPoint2D(java.awt.geom.Point2D srcPt, java.awt.geom.Point2D dstPt)`
`java.awt.RenderingHints` `getRenderingHints()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageFilterOp

    public ImageFilterOp(java.awt.image.ImageFilter filter)

  Construct a ImageFilterOp

Method Detail

### filter

    public java.awt.image.BufferedImage filter(java.awt.image.BufferedImage src,
                                               java.awt.image.BufferedImage dst)

  Do the filter operation

  Specified by:
    `filter` in interface `java.awt.image.BufferedImageOp`
  Parameters:
    `src` - The source BufferedImage. Can be any type.
    `dst` - The destination image. If not null, must be of type TYPE_INT_RGB, TYPE_INT_ARGB or TYPE_INT_ARGB_PRE
  Returns:
    the filtered image

### createCompatibleDestImage

    public java.awt.image.BufferedImage createCompatibleDestImage(java.awt.image.BufferedImage src,
                                                                  java.awt.image.ColorModel destCM)

  Specified by:
    `createCompatibleDestImage` in interface `java.awt.image.BufferedImageOp`

### getRenderingHints

    public java.awt.RenderingHints getRenderingHints()

  Specified by:
    `getRenderingHints` in interface `java.awt.image.BufferedImageOp`

### getPoint2D

    public java.awt.geom.Point2D getPoint2D(java.awt.geom.Point2D srcPt,
                                            java.awt.geom.Point2D dstPt)

  Specified by:
    `getPoint2D` in interface `java.awt.image.BufferedImageOp`

### getBounds2D

    public java.awt.geom.Rectangle2D getBounds2D(java.awt.image.BufferedImage src)

  Specified by:
    `getBounds2D` in interface `java.awt.image.BufferedImageOp`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.